Package fr.gouv.vitam.processing.common.model

# Class ProcessResponse

java.lang.Object
fr.gouv.vitam.processing.common.model.ProcessResponse

All Implemented Interfaces:
  `EngineResponse`

Direct Known Subclasses:
  `ExtractUriResponse`

public class ProcessResponse extends Object implements EngineResponse
Process Response class Contains global process status, messages and list of action results

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorNumber()`
  `static String`
  `getGlobalProcessOutcomeMessage(List<EngineResponse> responses)`
  getGlobalProcessOutcomeMessage, return the all outcome message of workflow processing
  `StatusCode`
  `getGlobalProcessStatusCode(List<EngineResponse> responses)`
  getGlobalProcessStatusCode, return the global status of workflow processing
  `String`
  `getMessageIdentifier()`
  `static String`
  `getMessageIdentifierFromResponse(List<EngineResponse> responses)`
  getMessageFromResponse return message id from list of response
  `Map<String,OutcomeMessage>`
  `getOutcomeMessages()`
  implementation of getMessage() of EngineResponse API class
  `String`
  `getProcessId()`
  `StatusCode`
  `getStatus()`
  implementation of getStatus() of EngineResponse API class
  `Map<String,List<EngineResponse>>`
  `getStepResponses()`
  getStepResponses given the response of each step of workflow processing
  `String`
  `getValue()`
  implementation of getValue() of EngineResponse API class
  `EngineResponse`
  `setErrorNumber(int number)`
  `EngineResponse`
  `setMessageIdentifier(String message)`
  `ProcessResponse`
  `setOutcomeMessages(String handlerId, OutcomeMessage message)`
  implementation of setMessage() of EngineResponse API class
  `ProcessResponse`
  `setProcessId(String processId)`
  `ProcessResponse`
  `setStatus(StatusCode status)`
  implementation of setStatus() of EngineResponse API class
  `ProcessResponse`
  `setStepResponses(Map<String,List<EngineResponse>> stepResponses)`
  setStepResponses, set the response at each step of workflow processing

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessResponse

    public ProcessResponse()

- ## Method Details

  - ### getStatus

    public StatusCode getStatus()
    implementation of getStatus() of EngineResponse API class
    Specified by:
      `getStatus` in interface `EngineResponse`
    Returns:
      Enum StatusCode {OK,KO,FATAL}

  - ### setStatus

    public ProcessResponse setStatus(StatusCode status)
    implementation of setStatus() of EngineResponse API class
    Specified by:
      `setStatus` in interface `EngineResponse`
    Parameters:
      `status` - ENUM statusCode
    Returns:
      EngineResponse

  - ### getOutcomeMessages

    public Map<String,OutcomeMessage> getOutcomeMessages()
    implementation of getMessage() of EngineResponse API class
    Specified by:
      `getOutcomeMessages` in interface `EngineResponse`
    Returns:
      list of functional error message

  - ### setOutcomeMessages

    public ProcessResponse setOutcomeMessages(String handlerId, OutcomeMessage message)
    implementation of setMessage() of EngineResponse API class
    Specified by:
      `setOutcomeMessages` in interface `EngineResponse`
    Parameters:
      `handlerId` - handler name or id
      `message` - Outcome Messages of response
    Returns:
      EngineResponse

  - ### getStepResponses

    public Map<String,List<EngineResponse>> getStepResponses()
    getStepResponses given the response of each step of workflow processing
    Returns:
      the stepResponses

  - ### setStepResponses

    public ProcessResponse setStepResponses(Map<String,List<EngineResponse>> stepResponses)
    setStepResponses, set the response at each step of workflow processing
    Parameters:
      `stepResponses` - the stepResponses to set
    Returns:
      the updated ProcessResponse object

  - ### getGlobalProcessStatusCode

    public StatusCode getGlobalProcessStatusCode(List<EngineResponse> responses)
    getGlobalProcessStatusCode, return the global status of workflow processing
    Parameters:
      `responses` - list of step response
    Returns:
      the status of StatusCode type

  - ### getGlobalProcessOutcomeMessage

    public static String getGlobalProcessOutcomeMessage(List<EngineResponse> responses)
    getGlobalProcessOutcomeMessage, return the all outcome message of workflow processing
    Parameters:
      `responses` - message list
    Returns:
      the global message

  - ### getMessageIdentifierFromResponse

    public static String getMessageIdentifierFromResponse(List<EngineResponse> responses)
    getMessageFromResponse return message id from list of response
    Parameters:
      `responses` - list of step response
    Returns:
      message id

  - ### getValue

    public String getValue()
    implementation of getValue() of EngineResponse API class
    Specified by:
      `getValue` in interface `EngineResponse`
    Returns:
      StatusCode value {OK,KO,FATAL}

  - ### getMessageIdentifier

    public String getMessageIdentifier()
    Specified by:
      `getMessageIdentifier` in interface `EngineResponse`
    Returns:
      message identifier of seda

  - ### setMessageIdentifier

    public EngineResponse setMessageIdentifier(String message)
    Specified by:
      `setMessageIdentifier` in interface `EngineResponse`
    Parameters:
      `message` - identifier of seda
    Returns:
      EngineResponse

  - ### getErrorNumber

    public int getErrorNumber()
    Specified by:
      `getErrorNumber` in interface `EngineResponse`
    Returns:
      list of functional error message

  - ### setErrorNumber

    public EngineResponse setErrorNumber(int number)
    Specified by:
      `setErrorNumber` in interface `EngineResponse`
    Parameters:
      `number` - the number of errors during the workflow
    Returns:
      EngineResponse

  - ### getProcessId

    public String getProcessId()
    Returns:
      the processId

  - ### setProcessId

    public ProcessResponse setProcessId(String processId)
    Parameters:
      `processId` - the processId to set
    Returns:
      the updated ProcessResponse object